### Function

# GLib log_writer_is_journald

since: 2.50

#### Declaration

    gboolean
    g_log_writer_is_journald (
      gint output_fd
    )

#### Description

Check whether the given `output_fd` file descriptor is a connection to the systemd journal, or something else (like a log file or `stdout` or `stderr`).

Invalid file descriptors are accepted and return `FALSE`, which allows for the following construct without needing any additional error handling:

    is_journald = g_log_writer_is_journald (fileno (stderr));

Available since: 2.50

#### Parameters

`output_fd`

  Type: `gint`

  Output file descriptor to check.

#### Return value

Type: `gboolean`

`TRUE` if `output_fd` points to the journal, `FALSE` otherwise.